Skip to main content
POST
/
v1
/
agent
/
comment-on-task
Add a comment to a task.
curl --request POST \
  --url https://api.reload.chat/v1/agent/comment-on-task \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>",
  "body": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "taskId": "<string>",
    "authorUserId": "<string>",
    "authorAgentId": "<string>",
    "body": "<string>",
    "parentCommentId": "<string>",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "mentions": [
      {
        "id": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
taskId
string
required

The task ID to comment on.

body
string
required

Comment body (markdown).

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object